al_restore_default_mixer(3)

NAME

al_restore_default_mixer - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro_audio.h>
    bool al_restore_default_mixer(void)

DESCRIPTION

Restores Allegro's default mixer and attaches it to the default voice. If the default mixer hasn't been created before, it will be created. If the default voice hasn't been set via al_set_default_voice(3) or created before, it will also be created. All samples started with al_play_sample(3) will be stopped and all sample instances returned by al_lock_sample_id(3) will be invalidated.

Returns true on success, false on error.

SEE ALSO

al_get_default_mixer(3), al_set_default_mixer(3), al_reserve_samples(3).